//リストビューコンとトールID、その他定数宣言
#define	IDC_LISTVIEW	1000
#define UP 1
#define DOWN 2
#define NO_OF_SUBITEM 3

//////////////////////////////
//CLISTVIEWクラスオブジェクト
//////////////////////////////
//CLISTVIEW lv;							//☆アイコンなしの場合の書式
CLISTVIEW lv(32, 32, 4, ILC_COLOR4, 0,	//☆大きなアイコンのサイズと個数
			 16, 16, 4, ILC_COLOR4, 0);	//☆小さなアイコンのサイズと個数

//列とソート方法の配列
int sortsubno[NO_OF_SUBITEM];

//☆ソートコールバック関数
int CALLBACK MyCompProc(LPARAM lp1, LPARAM lp2, LPARAM lpSort) {

	static LV_FINDINFO lvf;
	static int nItem1, nItem2;
	static char buf1[64], buf2[64];
	//☆アイテムの検索
	nItem1 = lv.FindItem(-1, NULL, lp1);
	nItem2 = lv.FindItem(-1, NULL, lp2);
	//☆アイテム情報の取得
	lv.GetItemText(nItem1, (int)lpSort, buf1, sizeof(buf1));
	lv.GetItemText(nItem2, (int)lpSort, buf2, sizeof(buf2));
	if (sortsubno[(int)lpSort] == UP)
		return(strcmp(buf1, buf2));
	else
		return(strcmp(buf1, buf2) * -1);
}
